package cn.tonyandmoney.tuonq.core.error;

import org.springframework.http.HttpStatus;

public class ServerException extends RuntimeException {


    private int code;
    private String msg;
    private String next;

    public ServerException(String msg){
        this(HttpStatus.INTERNAL_SERVER_ERROR.value(),msg);
    }

    public ServerException(int code,String msg){
        this(code,msg,"");
    }

    public ServerException(int code,String msg,String next){
        super(msg);
        this.code =code;
        this.msg =msg;
        this.next =next;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getNext() {
        return next;
    }

    public void setNext(String next) {
        this.next = next;
    }
}
